| ghc-6.10.4: The GHC API | Contents | Index

BlockId

Documentation
newtype BlockId

Constructors

BlockId Unique |

Instances

Eq BlockId
Ord BlockId
Show BlockId
Outputable BlockId
Uniquable BlockId

mkBlockId :: Unique -> BlockId
type BlockEnv a = UniqFM a
emptyBlockEnv :: BlockEnv a
lookupBlockEnv :: BlockEnv a -> BlockId -> Maybe a
extendBlockEnv :: BlockEnv a -> BlockId -> a -> BlockEnv a
mkBlockEnv :: [(BlockId, a)] -> BlockEnv a
type BlockSet = UniqSet BlockId
emptyBlockSet :: BlockSet
elemBlockSet :: BlockId -> BlockSet -> Bool
extendBlockSet :: BlockSet -> BlockId -> BlockSet
sizeBlockSet :: BlockSet -> Int
mkBlockSet :: [BlockId] -> BlockSet
Produced by Haddock version 2.4.2